data:extend(
{

  {
    type = "assembling-machine",

    name = "cheat-box",

    icon = "__base__/graphics/icons/assembling-machine-3.png",

    flags = {"placeable-neutral","placeable-player", "player-creation"},

    minable = {hardness = 0.2, mining_time = 0.5, result = "cheat-box"},

    max_health = 10000,

    corpse = "big-remnants",

    dying_explosion = "medium-explosion",

    resistances =

    {

      {
        type = "physical",
        percent = 100
      },

      {
        type = "impact",
        percent = 100
      },

      {
        type = "poison",
        percent = 100
      },

      {
        type = "explosion",
        percent = 100
      },

      {
        type = "fire",
        percent = 100
      },

      {
        type = "laser",
        percent = 100
      }
,
      {
        type = "acid",
        percent = 100
      },

      {
        type = "electric",
        percent = 100
      }

    },

    fluid_boxes =

    {

      {

        production_type = "input",

        pipe_covers = pipecoverspictures(),

        base_area = 10,

        base_level = -1,

        pipe_connections = {{ type="input", position = {-1, -2} }}

      },

      {

        production_type = "input",

        pipe_covers = pipecoverspictures(),

        base_area = 10,

        base_level = -1,

        pipe_connections = {{ type="input", position = {1, -2} }}

      },

      {

        production_type = "output",

        pipe_covers = pipecoverspictures(),

        base_level = 1,

        pipe_connections = {{ position = {-2, 1} }}

      },

      {

        production_type = "output",

        pipe_covers = pipecoverspictures(),

        base_level = 1,

        pipe_connections = {{ position = {0, 2} }}

      },

      {

        production_type = "output",

        pipe_covers = pipecoverspictures(),

        base_level = 1,

        pipe_connections = {{ position = {2, 1} }}

      }
,
      off_when_no_fluid_recipe = true

    },

    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },

    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },

    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },

    working_sound =

    {

      sound =
      {

        {
          filename = "__base__/sound/assembling-machine-t3-1.ogg",
          volume = 0.8
        },

        {
          filename = "__base__/sound/assembling-machine-t3-2.ogg",
          volume = 0.8
        },

      },

      idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },

      apparent_volume = 1.5,

    },

    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},

    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},

    fast_replaceable_group = "assembling-machine",

    animation =

    {

      filename = "__base__/graphics/entity/assembling-machine-3/assembling-machine-3.png",

      priority = "high",

      width = 142,

      height = 113,

      frame_count = 32,
      line_length = 8,

      shift = {0.84, -0.09}

    },

    crafting_categories = {"crafting", "advanced-crafting","smelting","chemistry", "crafting-with-fluid","oil-processing","cheat"},

    crafting_speed = 10,

    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },

    energy_usage = "1kW",

    ingredient_count = 6,

    module_specification =
    {
      module_slots = 8
    },

    allowed_effects = {"consumption", "speed", "productivity", "pollution"}

  },
  {

    type = "electric-pole",

    name = "cheat-electric-pole",

    icon = "__base__/graphics/icons/big-electric-pole.png",

    flags = {"placeable-neutral", "player-creation"},

    minable = {hardness = 0.2, mining_time = 0.5, result = "cheat-electric-pole"},

    max_health = 150,

    corpse = "medium-remnants",

    resistances =
    {
      {
        type = "fire",
        percent = 100
      }
    },

    collision_box = {{-0.7, -0.7}, {0.7, 0.7}},
    selection_box = {{-1, -1}, {1, 1}},

    drawing_box = {{-1, -3}, {1, 0.5}},

    maximum_wire_distance = 32,

    supply_area_distance = 16,
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },

    pictures =
    {
      filename = "__base__/graphics/entity/big-electric-pole/big-electric-pole.png",
      priority = "high",
      width = 168,
      height = 165,
      direction_count = 4,
      shift = {1.6, -1.1}
    },

    connection_points =
    {
      {
        shadow =
        {
          copper = {2.7, 0},
          green = {1.8, 0},
          red = {3.6, 0}
        },
        wire =
        {
          copper = {0, -3.1},
          green = {-0.6,-3.1},
          red = {0.6,-3.1}
        }
      },
      {
        shadow =
        {
          copper = {3.1, 0.2},
          green = {2.3, -0.3},
          red = {3.8, 0.6}
        },
        wire =
        {
          copper = {-0.08, -3.15},
          green = {-0.55, -3.5},
          red = {0.3, -2.87}
        }
      },
      {
        shadow =
        {
          copper = {2.9, 0.06},
          green = {3.0, -0.6},
          red = {3.0, 0.8}
        },
        wire =
        {
          copper = {-0.1, -3.1},
          green = {-0.1, -3.55},
          red = {-0.1, -2.8}
        }
      },
      {
        shadow =
        {
          copper = {3.1, 0.2},
          green = {3.8, -0.3},
          red = {2.35, 0.6}
        },
        wire =
        {
          copper = {0, -3.25},
          green = {0.45, -3.55},
          red = {-0.54, -3.0}
        }
      }
    },

    radius_visualisation_picture =
    {
      filename = "__base__/graphics/entity/small-electric-pole/electric-pole-radius-visualization.png",
      width = 12,
      height = 12,
      priority = "extra-high-no-scale"
    },

  },
  {
    type = "car",

    name = "cheat-tank",

    icon = "__base__/graphics/icons/tank.png",

    flags = {"pushable", "placeable-neutral", "player-creation", "placeable-off-grid"},

    minable = {mining_time = 1, result = "cheat-tank"},

    max_health = 100000,

    corpse = "medium-remnants",

    dying_explosion = "medium-explosion",

    energy_per_hit_point = 0.5,

    resistances =

    {

      {
        type = "physical",
        percent = 100
      },

      {
        type = "impact",
        percent = 100
      },

      {
        type = "poison",
        percent = 100
      },

      {
        type = "explosion",
        percent = 100
      },

      {
        type = "fire",
        percent = 100
      },

      {
        type = "laser",
        percent = 100
      }
,
      {
        type = "acid",
        percent = 100
      },

      {
        type = "electric",
        percent = 100
      }

    },

    collision_box = {{-0.9, -1.3}, {0.9, 1.3}},

    selection_box = {{-0.9, -1.3}, {0.9, 1.3}},
    effectivity = 1000,

    braking_power = "1000kW",

    burner =
    {
      effectivity = 1000,
      fuel_inventory_size = 2,
      smoke =
      {
        {
          name = "tank-smoke",
          deviation = {0.25, 0.25},
          frequency = 50,
          position = {0, 1.5},
          starting_frame = 0,
          starting_frame_deviation = 60
        }
      }
    },

    consumption = "1000kW",

    terrain_friction_modifier = 0.2,

    friction = 0.002,

    light =
    {
      {
        type = "oriented",
        minimum_darkness = 0.3,
        picture =
        {
          filename = "__core__/graphics/light-cone.png",
          priority = "medium",
          scale = 2,
          width = 200,
          height = 200
        },
        shift = {-0.6, -14},
        size = 2,
        intensity = 0.6
      },
      {
        type = "oriented",
        minimum_darkness = 0.3,
        picture =
        {
          filename = "__core__/graphics/light-cone.png",
          priority = "medium",
          scale = 2,
          width = 200,
          height = 200
        },
        shift = {0.6, -14},
        size = 2,
        intensity = 0.6
      }
    },

    animation =
    {
      layers =
      {
        {
          width = 139,
          height = 110,
          frame_count = 2,
          direction_count = 64,
          shift = {-0.140625, -0.28125},
          animation_speed = 8,
          max_advance = 1,
          stripes =
          {
            {
             filename = "__base__/graphics/entity/tank/base-1.png",
             width_in_frames = 2,
             height_in_frames = 16,
            },
            {
             filename = "__base__/graphics/entity/tank/base-2.png",
             width_in_frames = 2,
             height_in_frames = 16,
            },
            {
             filename = "__base__/graphics/entity/tank/base-3.png",
             width_in_frames = 2,
             height_in_frames = 16,
            },
            {
             filename = "__base__/graphics/entity/tank/base-4.png",
             width_in_frames = 2,
             height_in_frames = 16,
            }
          }
        },
        {
          width = 109,
          height = 88,
          frame_count = 2,
          apply_runtime_tint = true,
          direction_count = 64,
          shift = {-0.140625, -0.65625},
          max_advance = 1,
          line_length = 2,
          stripes = util.multiplystripes(2,
          {
            {
              filename = "__base__/graphics/entity/tank/base-mask-1.png",
              width_in_frames = 1,
              height_in_frames = 22,
            },
            {
              filename = "__base__/graphics/entity/tank/base-mask-2.png",
              width_in_frames = 1,
              height_in_frames = 22,
            },
            {
              filename = "__base__/graphics/entity/tank/base-mask-3.png",
              width_in_frames = 1,
              height_in_frames = 20,
            },
          })
        },
        {
          width = 154,
          height = 99,
          frame_count = 2,
          draw_as_shadow = true,
          direction_count = 64,
          shift = {0.59375, 0.328125},
          max_advance = 1,
          stripes = util.multiplystripes(2,
          {
           {
            filename = "__base__/graphics/entity/tank/base-shadow-1.png",
            width_in_frames = 1,
            height_in_frames = 16,
           },
           {
            filename = "__base__/graphics/entity/tank/base-shadow-2.png",
            width_in_frames = 1,
            height_in_frames = 16,
           },
           {
            filename = "__base__/graphics/entity/tank/base-shadow-3.png",
            width_in_frames = 1,
            height_in_frames = 16,
           },
           {
            filename = "__base__/graphics/entity/tank/base-shadow-4.png",
            width_in_frames = 1,
            height_in_frames = 16,
           }
          })
        }
      }
    },

    turret_animation =
    {
      layers =
      {
        {
          filename = "__base__/graphics/entity/tank/turret.png",
          line_length = 8,
          width = 92,
          height = 69,
          frame_count = 1,
          direction_count = 64,
          shift = {-0.15625, -1.07812},
          animation_speed = 8,
        },
        {
          filename = "__base__/graphics/entity/tank/turret-mask.png",
          line_length = 8,
          width = 38,
          height = 29,
          frame_count = 1,
          apply_runtime_tint = true,
          direction_count = 64,
          shift = {-0.15625, -1.23438},
        },
        {
          filename = "__base__/graphics/entity/tank/turret-shadow.png",
          line_length = 8,
          width = 95,
          height = 67,
          frame_count = 1,
          draw_as_shadow = true,
          direction_count = 64,
          shift = {1.70312, 0.640625},
        }
      }
    },

    turret_rotation_speed = 0.35 / 60,
    turret_return_timeout = 300,
    stop_trigger_speed = 0.2,

    sound_no_fuel =
    {
      {
        filename = "__base__/sound/fight/tank-no-fuel-1.ogg",
        volume = 0.6
      },
    },

    stop_trigger =
    {
      {
        type = "play-sound",
        sound =
        {
          {
            filename = "__base__/sound/car-breaks.ogg",
            volume = 0.6
          },
        }
      },
    },

    sound_minimum_speed = 0.15;
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },

    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/fight/tank-engine.ogg",
        volume = 0.6
      },
      activate_sound =
      {
        filename = "__base__/sound/fight/tank-engine-start.ogg",
        volume = 0.6
      },
      deactivate_sound =
      {
        filename = "__base__/sound/fight/tank-engine-stop.ogg",
        volume = 0.6
      },
      match_speed_to_activity = true,
    },

    open_sound = { filename = "__base__/sound/car-door-open.ogg", volume=0.7 },

    close_sound = { filename = "__base__/sound/car-door-close.ogg", volume = 0.7 },

    rotation_speed = 0.0035,

    tank_driving = true,

    weight = 2000000,

    inventory_size = 80,

    guns = { "tank-cannon", "tank-machine-gun" }
  },

  {

    type = "container",

    name = "cheat-chest",

    icon = "__base__/graphics/icons/steel-chest.png",

    flags = {"placeable-neutral", "player-creation"},

    minable = {mining_time = 1, result = "steel-chest"},

    max_health = 200,

    corpse = "small-remnants",

    open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },

    close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },

    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },

    collision_box = {{-0.35, -0.35}, {0.35, 0.35}},

    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},

    fast_replaceable_group = "container",

    inventory_size = 100,
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },

    picture =
    {
      filename = "__base__/graphics/entity/steel-chest/steel-chest.png",
      priority = "extra-high",
      width = 48,
      height = 34,
      shift = {0.2, 0}
    }
  },

  {

    type = "inserter",

    name = "cheat-inserter",
    icon = "__base__/graphics/icons/fast-inserter.png",

    flags = {"placeable-neutral", "placeable-player", "player-creation"},

    minable =
    {
      hardness = 0.2,
      mining_time = 0.5,
      result = "cheat-inserter"
    },

    max_health = 40,

    corpse = "small-remnants",

    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},

    selection_box = {{-0.4, -0.35}, {0.4, 0.45}},

    pickup_position = {0, -1},

    insert_position = {0, 1.2},

    energy_per_movement = 5000,

    energy_per_rotation = 5000,

    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      drain = "0.1kW"
    },

    extension_speed = 0.7,

    rotation_speed = 0.4,

    fast_replaceable_group = "inserter",

    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },

    working_sound =
    {
      match_progress_to_activity = true,
      sound =
      {
        {
          filename = "__base__/sound/inserter-fast-1.ogg",
          volume = 0.75
        },
        {
          filename = "__base__/sound/inserter-fast-2.ogg",
          volume = 0.75
        },
        {
          filename = "__base__/sound/inserter-fast-3.ogg",
          volume = 0.75
        },
        {
          filename = "__base__/sound/inserter-fast-4.ogg",
          volume = 0.75
        },
        {
          filename = "__base__/sound/inserter-fast-5.ogg",
          volume = 0.75
        }
      }
    },
    hand_base_picture =
    {
      filename = "__base__/graphics/entity/fast-inserter/fast-inserter-hand-base.png",
      priority = "extra-high",
      width = 8,
      height = 34
    },

    hand_closed_picture =
    {
      filename = "__base__/graphics/entity/fast-inserter/fast-inserter-hand-closed.png",
      priority = "extra-high",
      width = 18,
      height = 41
    },

    hand_open_picture =
    {
      filename = "__base__/graphics/entity/fast-inserter/fast-inserter-hand-open.png",
      priority = "extra-high",
      width = 18,
      height = 41
    },

    hand_base_shadow =
    {
      filename = "__base__/graphics/entity/burner-inserter/burner-inserter-hand-base-shadow.png",
      priority = "extra-high",
      width = 8,
      height = 34
    },

    hand_closed_shadow =
    {
      filename = "__base__/graphics/entity/burner-inserter/burner-inserter-hand-closed-shadow.png",
      priority = "extra-high",
      width = 18,
      height = 41
    },

    hand_open_shadow =
    {
      filename = "__base__/graphics/entity/burner-inserter/burner-inserter-hand-open-shadow.png",
      priority = "extra-high",
      width = 18,
      height = 41
    },

    platform_picture =
    {
      sheet =
      {
        filename = "__base__/graphics/entity/fast-inserter/fast-inserter-platform.png",
        priority = "extra-high",
        width = 46,
        height = 46
      }
    }

  },

  {

    type = "turret",

    name = "cheat-turret",

    icon = "__base__/graphics/icons/gun-turret.png",

    flags = { "placeable-player", "player-creation"},

    minable = { mining_time = 0.5, result = "cheat-turret" },

    max_health = 5000,

    healing_per_tick = 1,


    repair_speed_modifier = 2,
    resistances =

    {

      {
        type = "physical",
        decrease = 10,
        percent = 50
      },

      {
        type = "impact",
        decrease = 50,
        percent = 60
      },

      {
        type = "poison",
        percent = 100
      },

      {
        type = "explosion",
        percent = 100
      },

      {
        type = "fire",
        percent = 100
      },

      {
        type = "laser",
        percent = 80
      }
,
      {
        type = "acid",
        decrease = 10,
        percent = 50
      },

      {
        type = "electric",
        percent = 80
      }

    },

    collision_box = {{-0.7, -0.7 }, {0.7, 0.7}},

    selection_box = {{-1, -1 }, {1, 1}},

    shooting_cursor_size = 4,

    rotation_speed = 1,

    corpse = "wall-remnants",

    dying_explosion = "medium-explosion",

    repair_sound = { filename = "__base__/sound/manual-repair-simple.ogg" },

    mined_sound = { filename = "__base__/sound/deconstruct-bricks.ogg" },

    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 1.0 },

    inventory_size = 2,

    folded_speed = 0.01,

    folded_animation = gun_turret_extension{frame_count=1, line_length = 1},
    prepare_range = 35,

    preparing_speed = 0.025,

    preparing_animation = gun_turret_extension{},
    prepared_speed = 0.015,

    prepared_animation = gun_turret_attack{frame_count=1},

    attacking_speed = 0.5,

    attacking_animation = gun_turret_attack{},

    folding_speed = 0.015,

    folding_animation = gun_turret_extension{run_mode = "backward"},
    base_picture =

    {

      filename = "__base__/graphics/entity/gun-turret/gun-turret-base.png",

      priority = "high",

      width = 90,

      height = 75,

      axially_symmetrical = false,

      direction_count = 1,

      shift = {0.0625, -0.046875},

    },

    attack_parameters =

    {

      type = "projectile",

      ammo_category = "bullet",

      cooldown = 2,

      range = 30,

      projectile_creation_distance = 1.39375,

      projectile_center = {0.0625, -0.0875},
      damage_modifier = 10,

      shell_particle =

      {

        name = "shell-particle",

        direction_deviation = 0.1,

        speed = 0.1,

        speed_deviation = 0.03,

        center = {0, 0},

        creation_distance = -1.925,

        starting_frame_speed = 0.2,

        starting_frame_speed_deviation = 0.1

      },

      ammo_type =

      {

        category = "bullet",

  
      action =

        {

          type = "area",

          perimeter = 30,

          force = "enemy",

          action_delivery =

          {

            type = "instant",

            source_effects =

            {

                type = "create-explosion",

                entity_name = "explosion-gunshot"

            },

            target_effects =

            {

              {

                type = "create-entity",

                entity_name = "explosion-hit"

              },

              {

                type = "damage",

                damage = { amount = 10 , type = "physical"}

              }

            }

          }

        }

      },
      sound = make_heavy_gunshot_sounds(),

    }

  },

}
)
