data:extend
({
  {

    type = "generator-equipment",

    name = "cheat-reactor-equipment",

    sprite =
    {
      filename = "__base__/graphics/equipment/fusion-reactor-equipment.png",
      width = 128,
      height = 128,
      priority = "medium"
    },

    shape =
    {
      width = 4,
      height = 4,
      type = "full"
    },

    energy_source =
    {
      type = "electric",
      usage_priority = "primary-output"
    },

    power = "150000kW"

  },

  {

    type = "energy-shield-equipment",

    name = "cheat-shield-equipment",

    sprite =
    {
      filename = "__base__/graphics/equipment/energy-shield-mk2-equipment.png",
      width = 64,
      height = 64,
      priority = "medium"
    },

    shape =
    {
      width = 2,
      height = 2,
      type = "full"
    },

    max_shield_value = 100000,

    energy_source =
    {
      type = "electric",
      buffer_capacity = "100000kJ",
      input_flow_limit = "100000kW",
      usage_priority = "primary-input"
    },

    energy_per_shield = "1kJ"

  },

  {

    type = "active-defense-equipment",

    name = "cheat-defense-equipment",

    sprite =
    {
      filename = "__base__/graphics/equipment/basic-laser-defense-equipment.png",
      width = 64,
      height = 96,
      priority = "medium"
    },

    shape =
    {
      width = 2,
      height = 3,
      type = "full"
    },

    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      buffer_capacity = "10000kJ"
    },

    attack_parameters =
    {
      type = "projectile",
      ammo_category = "electric",
      cooldown = 2,
      damage_modifier = 100,
      projectile_center = {0, 0},
      projectile_creation_distance = 0.6,
      range = 40,
      sound = make_laser_sounds(),
      ammo_type =
      {
        type = "projectile",
        category = "electric",
        energy_consumption = "1kJ",
        projectile = "laser",
        speed = 1,
        action =
        {
          {
            type = "area",          perimeter = 20,          force = "enemy",
            action_delivery =
            {
              {
                type = "projectile",
                projectile = "laser",
                starting_speed = 0.28
              }
            }
          }
        }
      }
    },

    automatic = true

  },

  {
    type = "movement-bonus-equipment",

    name = "cheat-exoskeleton-equipment",

    sprite =
    {
      filename = "__base__/graphics/equipment/basic-exoskeleton-equipment.png",
      width = 64,
      height = 128,
      priority = "medium"
    },

    shape =
    {
      width = 2,
      height = 4,
      type = "full"
    },

    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input"
    },

    energy_consumption = "2000kW",

    movement_bonus = 1

  },

}
)

